{
  "parser": "babel-eslint",
  "extends": ["standard-react", "airbnb-base"],
  "plugins": ["react", "import"],
  "settings": {
    "import/resolver": {
      "alias": {
        "map": [["@src", "./src"], ["@project", "./project/admin"], ["@components", "./components"]]
      }
    }
  },
  "parserOptions": {
    "ecmaVersion": 7,
    "sourceType": "module"
  },
  "env": {
    "browser": true,
    "node": true,
    "es6": true
  },
  "globals": {
    "__DEV__": false,
    "__PROD__": false,
    "__DEBUG__": false,
    "__API_PATH__": false,
    "__BASE_NAME__": false,
    "linkTo": false,
    "replaceLink": false,
    "goBack": false,
    "toLink": false,
    "openLink": false,
    "WxLogin": false,
    "CKEDITOR": false
  },
  "rules": {
    "camelcase": "off",
    "arrow-parens": "off",
    "arrow-body-style": "off",
    "func-names": "off",
    "no-continue": "off",
    "object-curly-newline": "off",
    "no-extend-native": "off",
    "no-underscore-dangle": "off",
    "no-nested-ternary": "off",
    "no-param-reassign": "off",
    "space-before-function-paren": "off",
    "generator-star-spacing": "off",
    "max-len": "off",
    "no-console": "off",
    "no-bitwise": "off",
    "no-multi-assign": "off",
    "linebreak-style": "off",
    "class-methods-use-this": "off",
    "react/prop-types": "off",
    "global-require": "off",
    "import/no-extraneous-dependencies": "off"
  }
}
